﻿@model JavnaNabava.Model.Obavijest

@{
    ViewData["Title"] = "AddObavijest";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj novu obavijest</h1>

<p>
    <small>
        Obrazac za dodavanje nove obavijesti u bazu podataka. 
        Sva polja su obavezna. 
        Naziv kategorije je strani ključ te je ponuđen kao padajući izbornik. 
        Nakon dodavanja nove obavijesti, korisnik se preusmjerava na popis svih obavijesti uz prikladnu poruku 
        da li je obavijest uspješno dodana u bazu podataka.
    </small>
</p>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddObavijest">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Naslov" class="control-label"></label>
                <input asp-for="Naslov" class="form-control" />
                <span asp-validation-for="Naslov" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Url" class="control-label"></label>
                <input asp-for="Url" class="form-control" />
                <span asp-validation-for="Url" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="IdKategorije" class="control-label"></label>
                <select asp-for="IdKategorije" class="form-control" asp-items="ViewBag.IdKategorije">
                    <option selected value="" disabled>Odaberite kategoriju obavijesti</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
